.reveal[data-background-transition=zoom] > .backgrounds .slide-background,
.reveal > .backgrounds .slide-background[data-background-transition=fade] {
    transition-timing-function: ease;
    transition-duration: 1s;
}

.reveal[data-background-transition=fade] > .backgrounds .slide-background.past,
.reveal > .backgrounds .slide-background.past[data-background-transition=fade] {
    opacity: 0;
    visibility: hidden;
}

.reveal[data-background-transition=fade] > .backgrounds .slide-background.future,
.reveal > .backgrounds .slide-background.future[data-background-transition=fade] {
    opacity: 0;
    visibility: hidden;
}

.reveal[data-background-transition=fade] > .backgrounds .slide-background > .slide-background.past,
.reveal > .backgrounds .slide-background > .slide-background.past[data-background-transition=fade] {
    opacity: 0;
    visibility: hidden;
}

.reveal[data-background-transition=fade] > .backgrounds .slide-background > .slide-background.future,
.reveal > .backgrounds .slide-background > .slide-background.future[data-background-transition=fade] {
    opacity: 0;
    visibility: hidden;
}
